Name: mkcomposecache
Version: 1.1
Release: %mkrel 2
Summary: mkcomposecache is used for creating global (system-wide) Compose cache files
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License: MIT
Packager: Gustavo Pichorim Boiko <boiko@mandriva.com> 
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libx11-devel

%description
mkcomposecache is used for creating global (system-wide) Compose cache files.

Compose cache files help with application startup times and memory usage,
especially in locales with large Compose tables (e.g. all UTF-8 locales).

The tool only makes sense with libX11 1.0.2 and higher.
Included is a script mkallcomposecaches.sh that creates global cache
files for all supported locales.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/mkcomposecache
%{_mandir}/man8/mkcomposecache.8.bz2


%changelog
* Fri Jul 07 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-07-07 09:59:15 (38450)
- added missing build dependency on libx11-devel

* Mon Jul 03 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-07-03 11:42:03 (38303)
- new upstream release(1.1):
  * Set default cache path to /var/cache/libx11/compose (see libX11 1.0.3).
  * Invocation parameters changed.
  * Improved customizability a lot.
  * More tests & verification.
  * Being more verbose now.
  * Works for root now.
  *General cleanup.
  * Should work out-of-the-box on 64bit machines now

* Fri Jun 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-30 10:22:00 (38214)
- Adding mkcomposecache to the repository.
